/*
 * Everyone's favorite greeting, now available for PicoGUI
 */

/* Every PicoGUI program needs this header
 */
#include <picogui.h>

#ifdef MALLOC_TRACE
	#include <mcheck.h>
#endif	// MALLOC_TRACE

int main(int argc, char **argv) {

#ifdef MALLOC_TRACE
	mtrace();
#endif	// MALLOC_TRACE

  /* pgInit establishes a connection to the picogui server and processes
   * some command line arguments starting with --pg
   */
  pgInit(argc,argv);

  /* pgRegisterApp creates a new application widget
   */
  pgRegisterApp(PG_APP_NORMAL,"Greetings",0);

  /* Create a label widget taking up all available space in the application,
   * with 'hello world' text and a big font.
   */
  pgNewWidget(PG_WIDGET_LABEL,0,0);
  pgSetWidget(PGDEFAULT,
	      PG_WP_SIDE,PG_S_ALL,
	      PG_WP_TEXT,pgNewString("Hello, World from mvBlueLYNX!"),
	      PG_WP_FONT,pgNewFont(NULL,24,PG_FSTYLE_BOLD),
	      0);
  
  /* Process events
   */
  pgEventLoop();
  return 0;
}
  
